Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.datasource
Class ResultSetWrapper

    java.lang.Object
      |
      +--com.solarmetric.datasource.ResultSetWrapper

All Implemented Interfaces:
  ResultSet

public class ResultSetWrapper
extends Object
implements ResultSet

Wrapper for a JDBC ResultSet. This wrapper is instantiated by a `Statement`, so that `getStatement()` will return the StatementWrapper. This is essential in order to pool an owning Statements in cases where the statement is closed via: `myResultSet.getStatement ().close ();`

See Also:
  `StatementWrapper`, `ResultSet`

Inner Class Summary
`static class` | `ResultSetWrapper.Statistics`

Fields inherited from interface java.sql.ResultSet
`CONCUR_READ_ONLY, CONCUR_UPDATABLE, FETCH_FORWARD, FETCH_REVERSE, FETCH_UNKNOWN, TYPE_FORWARD_ONLY, TYPE_SCROLL_INSENSITIVE, TYPE_SCROLL_SENSITIVE`

Constructor Summary
`ResultSetWrapper(ResultSet rs, Statement stmnt)`
`ResultSetWrapper(ResultSet rs, Statement stmnt, boolean doLog)`

Method Summary
`boolean` | `absolute(int a)`
`void` | `afterLast()`
`void` | `beforeFirst()`
`void` | `cancelRowUpdates()`
`void` | `clearWarnings()`
`void` | `close()`
`void` | `deleteRow()`
`boolean` | `equals(Object other)`
`boolean` | `execute(String s, int i)`
`boolean` | `execute(String s, int[] ia)`
`boolean` | `execute(String s, String[] sa)`
`int` | `executeUpdate(String s, int i)`
`int` | `executeUpdate(String s, int[] ia)`
`int` | `executeUpdate(String s, String[] sa)`
`int` | `findColumn(String a)`
`boolean` | `first()`
`Array` | `getArray(int a)`
`Array` | `getArray(String a)`
`InputStream` | `getAsciiStream(int a)`
`InputStream` | `getAsciiStream(String a)`
`BigDecimal` | `getBigDecimal(int a)`
`BigDecimal` | `getBigDecimal(int a, int b)`
`BigDecimal` | `getBigDecimal(String a)`
`BigDecimal` | `getBigDecimal(String a, int b)`
`InputStream` | `getBinaryStream(int a)`
`InputStream` | `getBinaryStream(String a)`
`Blob` | `getBlob(int a)`
`Blob` | `getBlob(String a)`
`boolean` | `getBoolean(int a)`
`boolean` | `getBoolean(String a)`
`byte` | `getByte(int a)`
`byte` | `getByte(String a)`
`byte[]` | `getBytes(int a)`
`byte[]` | `getBytes(String a)`
`Reader` | `getCharacterStream(int a)`
`Reader` | `getCharacterStream(String a)`
`Clob` | `getClob(int a)`
`Clob` | `getClob(String a)`
`int` | `getConcurrency()`
`String` | `getCursorName()`
`Date` | `getDate(int a)`
`Date` | `getDate(int a, Calendar b)`
`Date` | `getDate(String a)`
`Date` | `getDate(String a, Calendar b)`
`double` | `getDouble(int a)`
`double` | `getDouble(String a)`
`int` | `getFetchDirection()`
`int` | `getFetchSize()`
`float` | `getFloat(int a)`
`float` | `getFloat(String a)`
`ResultSet` | `getGeneratedKeys()`
`int` | `getInt(int a)`
`int` | `getInt(String a)`
`long` | `getLong(int a)`
`long` | `getLong(String a)`
`ResultSetMetaData` | `getMetaData()`
`boolean` | `getMoreResults(int i)`
`Object` | `getObject(int a)`
`Object` | `getObject(int a, Map b)`
`Object` | `getObject(String a)`
`Object` | `getObject(String a, Map b)`
`Ref` | `getRef(int a)`
`Ref` | `getRef(String a)`
`int` | `getResultSetHoldability()`
`int` | `getRow()`
`short` | `getShort(int a)`
`short` | `getShort(String a)`
`Statement` | `getStatement()`
`String` | `getString(int a)`
`String` | `getString(String a)`
`Time` | `getTime(int a)`
`Time` | `getTime(int a, Calendar b)`
`Time` | `getTime(String a)`
`Time` | `getTime(String a, Calendar b)`
`Timestamp` | `getTimestamp(int a)`
`Timestamp` | `getTimestamp(int a, Calendar b)`
`Timestamp` | `getTimestamp(String a)`
`Timestamp` | `getTimestamp(String a, Calendar b)`
`int` | `getType()`
`InputStream` | `getUnicodeStream(int a)`
`InputStream` | `getUnicodeStream(String a)`
`URL` | `getURL(int i)`
`URL` | `getURL(String s)`
`SQLWarning` | `getWarnings()`
`int` | `hashCode()`
`void` | `insertRow()`
`boolean` | `isAfterLast()`
`boolean` | `isBeforeFirst()`
`boolean` | `isClosed()`
`boolean` | `isFirst()`
`boolean` | `isLast()`
`boolean` | `last()`
`void` | `moveToCurrentRow()`
`void` | `moveToInsertRow()`
`boolean` | `next()`
`boolean` | `previous()`
`void` | `refreshRow()`
`boolean` | `relative(int a)`
`boolean` | `rowDeleted()`
`boolean` | `rowInserted()`
`boolean` | `rowUpdated()`
`void` | `setFetchDirection(int a)`
`void` | `setFetchSize(int a)`
`void` | `updateArray(int i, Array a)`
`void` | `updateArray(String s, Array a)`
`void` | `updateAsciiStream(int a, InputStream in, int b)`
`void` | `updateAsciiStream(String a, InputStream in, int b)`
`void` | `updateBigDecimal(int a, BigDecimal b)`
`void` | `updateBigDecimal(String a, BigDecimal b)`
`void` | `updateBinaryStream(int a, InputStream in, int b)`
`void` | `updateBinaryStream(String a, InputStream in, int b)`
`void` | `updateBlob(int i, Blob b)`
`void` | `updateBlob(String s, Blob b)`
`void` | `updateBoolean(int a, boolean b)`
`void` | `updateBoolean(String a, boolean b)`
`void` | `updateByte(int a, byte b)`
`void` | `updateByte(String a, byte b)`
`void` | `updateBytes(int a, byte[] b)`
`void` | `updateBytes(String a, byte[] b)`
`void` | `updateCharacterStream(int a, Reader reader, int b)`
`void` | `updateCharacterStream(String a, Reader reader, int b)`
`void` | `updateClob(int i, Clob c)`
`void` | `updateClob(String s, Clob c)`
`void` | `updateDate(int a, Date b)`
`void` | `updateDate(String a, Date b)`
`void` | `updateDouble(int a, double b)`
`void` | `updateDouble(String a, double b)`
`void` | `updateFloat(int a, float b)`
`void` | `updateFloat(String a, float b)`
`void` | `updateInt(int a, int b)`
`void` | `updateInt(String a, int b)`
`void` | `updateLong(int a, long b)`
`void` | `updateLong(String a, long b)`
`void` | `updateNull(int a)`
`void` | `updateNull(String a)`
`void` | `updateObject(int a, Object ob)`
`void` | `updateObject(int a, Object ob, int b)`
`void` | `updateObject(String a, Object b)`
`void` | `updateObject(String a, Object ob, int b)`
`void` | `updateRef(int i, Ref r)`
`void` | `updateRef(String s, Ref r)`
`void` | `updateRow()`
`void` | `updateShort(int a, short b)`
`void` | `updateShort(String a, short b)`
`void` | `updateString(int a, String b)`
`void` | `updateString(String a, String b)`
`void` | `updateTime(int a, Time b)`
`void` | `updateTime(String a, Time b)`
`void` | `updateTimestamp(int a, Timestamp b)`
`void` | `updateTimestamp(String a, Timestamp b)`
`boolean` | `wasNull()`

Methods inherited from class java.lang.Object
`, clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResultSetWrapper

    public ResultSetWrapper(ResultSet rs,
                            Statement stmnt)

### ResultSetWrapper

    public ResultSetWrapper(ResultSet rs,
                            Statement stmnt,
                            boolean doLog)

Method Detail

### isClosed

    public boolean isClosed()

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object other)

  Overrides:
    `equals` in class `Object`

### next

    public final boolean next()
                       throws SQLException

  Specified by:
    `next` in interface `ResultSet`

### close

    public final void close()
                     throws SQLException

  Specified by:
    `close` in interface `ResultSet`

### wasNull

    public final boolean wasNull()
                          throws SQLException

  Specified by:
    `wasNull` in interface `ResultSet`

### getString

    public final String getString(int a)
                           throws SQLException

  Specified by:
    `getString` in interface `ResultSet`

### getBoolean

    public final boolean getBoolean(int a)
                             throws SQLException

  Specified by:
    `getBoolean` in interface `ResultSet`

### getByte

    public final byte getByte(int a)
                       throws SQLException

  Specified by:
    `getByte` in interface `ResultSet`

### getShort

    public final short getShort(int a)
                         throws SQLException

  Specified by:
    `getShort` in interface `ResultSet`

### getInt

    public final int getInt(int a)
                     throws SQLException

  Specified by:
    `getInt` in interface `ResultSet`

### getLong

    public final long getLong(int a)
                       throws SQLException

  Specified by:
    `getLong` in interface `ResultSet`

### getFloat

    public final float getFloat(int a)
                         throws SQLException

  Specified by:
    `getFloat` in interface `ResultSet`

### getDouble

    public final double getDouble(int a)
                           throws SQLException

  Specified by:
    `getDouble` in interface `ResultSet`

### getBigDecimal

    public final BigDecimal getBigDecimal(int a,
                                          int b)
                                   throws SQLException

  Specified by:
    `getBigDecimal` in interface `ResultSet`

### getBytes

    public final byte[] getBytes(int a)
                          throws SQLException

  Specified by:
    `getBytes` in interface `ResultSet`

### getDate

    public final Date getDate(int a)
                       throws SQLException

  Specified by:
    `getDate` in interface `ResultSet`

### getTime

    public final Time getTime(int a)
                       throws SQLException

  Specified by:
    `getTime` in interface `ResultSet`

### getTimestamp

    public final Timestamp getTimestamp(int a)
                                 throws SQLException

  Specified by:
    `getTimestamp` in interface `ResultSet`

### getAsciiStream

    public final InputStream getAsciiStream(int a)
                                     throws SQLException

  Specified by:
    `getAsciiStream` in interface `ResultSet`

### getUnicodeStream

    public final InputStream getUnicodeStream(int a)
                                       throws SQLException

  Specified by:
    `getUnicodeStream` in interface `ResultSet`

### getBinaryStream

    public final InputStream getBinaryStream(int a)
                                      throws SQLException

  Specified by:
    `getBinaryStream` in interface `ResultSet`

### getString

    public final String getString(String a)
                           throws SQLException

  Specified by:
    `getString` in interface `ResultSet`

### getBoolean

    public final boolean getBoolean(String a)
                             throws SQLException

  Specified by:
    `getBoolean` in interface `ResultSet`

### getByte

    public final byte getByte(String a)
                       throws SQLException

  Specified by:
    `getByte` in interface `ResultSet`

### getShort

    public final short getShort(String a)
                         throws SQLException

  Specified by:
    `getShort` in interface `ResultSet`

### getInt

    public final int getInt(String a)
                     throws SQLException

  Specified by:
    `getInt` in interface `ResultSet`

### getLong

    public final long getLong(String a)
                       throws SQLException

  Specified by:
    `getLong` in interface `ResultSet`

### getFloat

    public final float getFloat(String a)
                         throws SQLException

  Specified by:
    `getFloat` in interface `ResultSet`

### getDouble

    public final double getDouble(String a)
                           throws SQLException

  Specified by:
    `getDouble` in interface `ResultSet`

### getBigDecimal

    public final BigDecimal getBigDecimal(String a,
                                          int b)
                                   throws SQLException

  Specified by:
    `getBigDecimal` in interface `ResultSet`

### getBytes

    public final byte[] getBytes(String a)
                          throws SQLException

  Specified by:
    `getBytes` in interface `ResultSet`

### getDate

    public final Date getDate(String a)
                       throws SQLException

  Specified by:
    `getDate` in interface `ResultSet`

### getTime

    public final Time getTime(String a)
                       throws SQLException

  Specified by:
    `getTime` in interface `ResultSet`

### getTimestamp

    public final Timestamp getTimestamp(String a)
                                 throws SQLException

  Specified by:
    `getTimestamp` in interface `ResultSet`

### getAsciiStream

    public final InputStream getAsciiStream(String a)
                                     throws SQLException

  Specified by:
    `getAsciiStream` in interface `ResultSet`

### getUnicodeStream

    public final InputStream getUnicodeStream(String a)
                                       throws SQLException

  Specified by:
    `getUnicodeStream` in interface `ResultSet`

### getBinaryStream

    public final InputStream getBinaryStream(String a)
                                      throws SQLException

  Specified by:
    `getBinaryStream` in interface `ResultSet`

### getWarnings

    public final SQLWarning getWarnings()
                                 throws SQLException

  Specified by:
    `getWarnings` in interface `ResultSet`

### clearWarnings

    public final void clearWarnings()
                             throws SQLException

  Specified by:
    `clearWarnings` in interface `ResultSet`

### getCursorName

    public final String getCursorName()
                               throws SQLException

  Specified by:
    `getCursorName` in interface `ResultSet`

### getMetaData

    public final ResultSetMetaData getMetaData()
                                        throws SQLException

  Specified by:
    `getMetaData` in interface `ResultSet`

### getObject

    public final Object getObject(int a)
                           throws SQLException

  Specified by:
    `getObject` in interface `ResultSet`

### getObject

    public final Object getObject(String a)
                           throws SQLException

  Specified by:
    `getObject` in interface `ResultSet`

### findColumn

    public final int findColumn(String a)
                         throws SQLException

  Specified by:
    `findColumn` in interface `ResultSet`

### getCharacterStream

    public final Reader getCharacterStream(int a)
                                    throws SQLException

  Specified by:
    `getCharacterStream` in interface `ResultSet`

### getCharacterStream

    public final Reader getCharacterStream(String a)
                                    throws SQLException

  Specified by:
    `getCharacterStream` in interface `ResultSet`

### getBigDecimal

    public final BigDecimal getBigDecimal(int a)
                                   throws SQLException

  Specified by:
    `getBigDecimal` in interface `ResultSet`

### getBigDecimal

    public final BigDecimal getBigDecimal(String a)
                                   throws SQLException

  Specified by:
    `getBigDecimal` in interface `ResultSet`

### isBeforeFirst

    public final boolean isBeforeFirst()
                                throws SQLException

  Specified by:
    `isBeforeFirst` in interface `ResultSet`

### isAfterLast

    public final boolean isAfterLast()
                              throws SQLException

  Specified by:
    `isAfterLast` in interface `ResultSet`

### isFirst

    public final boolean isFirst()
                          throws SQLException

  Specified by:
    `isFirst` in interface `ResultSet`

### isLast

    public final boolean isLast()
                         throws SQLException

  Specified by:
    `isLast` in interface `ResultSet`

### beforeFirst

    public final void beforeFirst()
                           throws SQLException

  Specified by:
    `beforeFirst` in interface `ResultSet`

### afterLast

    public final void afterLast()
                         throws SQLException

  Specified by:
    `afterLast` in interface `ResultSet`

### first

    public final boolean first()
                        throws SQLException

  Specified by:
    `first` in interface `ResultSet`

### last

    public final boolean last()
                       throws SQLException

  Specified by:
    `last` in interface `ResultSet`

### getRow

    public final int getRow()
                     throws SQLException

  Specified by:
    `getRow` in interface `ResultSet`

### absolute

    public final boolean absolute(int a)
                           throws SQLException

  Specified by:
    `absolute` in interface `ResultSet`

### relative

    public final boolean relative(int a)
                           throws SQLException

  Specified by:
    `relative` in interface `ResultSet`

### previous

    public final boolean previous()
                           throws SQLException

  Specified by:
    `previous` in interface `ResultSet`

### setFetchDirection

    public final void setFetchDirection(int a)
                                 throws SQLException

  Specified by:
    `setFetchDirection` in interface `ResultSet`

### getFetchDirection

    public final int getFetchDirection()
                                throws SQLException

  Specified by:
    `getFetchDirection` in interface `ResultSet`

### setFetchSize

    public final void setFetchSize(int a)
                            throws SQLException

  Specified by:
    `setFetchSize` in interface `ResultSet`

### getFetchSize

    public final int getFetchSize()
                           throws SQLException

  Specified by:
    `getFetchSize` in interface `ResultSet`

### getType

    public final int getType()
                      throws SQLException

  Specified by:
    `getType` in interface `ResultSet`

### getConcurrency

    public final int getConcurrency()
                             throws SQLException

  Specified by:
    `getConcurrency` in interface `ResultSet`

### rowUpdated

    public final boolean rowUpdated()
                             throws SQLException

  Specified by:
    `rowUpdated` in interface `ResultSet`

### rowInserted

    public final boolean rowInserted()
                              throws SQLException

  Specified by:
    `rowInserted` in interface `ResultSet`

### rowDeleted

    public final boolean rowDeleted()
                             throws SQLException

  Specified by:
    `rowDeleted` in interface `ResultSet`

### updateNull

    public final void updateNull(int a)
                          throws SQLException

  Specified by:
    `updateNull` in interface `ResultSet`

### updateBoolean

    public final void updateBoolean(int a,
                                    boolean b)
                             throws SQLException

  Specified by:
    `updateBoolean` in interface `ResultSet`

### updateByte

    public final void updateByte(int a,
                                 byte b)
                          throws SQLException

  Specified by:
    `updateByte` in interface `ResultSet`

### updateShort

    public final void updateShort(int a,
                                  short b)
                           throws SQLException

  Specified by:
    `updateShort` in interface `ResultSet`

### updateInt

    public final void updateInt(int a,
                                int b)
                         throws SQLException

  Specified by:
    `updateInt` in interface `ResultSet`

### updateLong

    public final void updateLong(int a,
                                 long b)
                          throws SQLException

  Specified by:
    `updateLong` in interface `ResultSet`

### updateFloat

    public final void updateFloat(int a,
                                  float b)
                           throws SQLException

  Specified by:
    `updateFloat` in interface `ResultSet`

### updateDouble

    public final void updateDouble(int a,
                                   double b)
                            throws SQLException

  Specified by:
    `updateDouble` in interface `ResultSet`

### updateBigDecimal

    public final void updateBigDecimal(int a,
                                       BigDecimal b)
                                throws SQLException

  Specified by:
    `updateBigDecimal` in interface `ResultSet`

### updateString

    public final void updateString(int a,
                                   String b)
                            throws SQLException

  Specified by:
    `updateString` in interface `ResultSet`

### updateBytes

    public final void updateBytes(int a,
                                  byte[] b)
                           throws SQLException

  Specified by:
    `updateBytes` in interface `ResultSet`

### updateDate

    public final void updateDate(int a,
                                 Date b)
                          throws SQLException

  Specified by:
    `updateDate` in interface `ResultSet`

### updateTime

    public final void updateTime(int a,
                                 Time b)
                          throws SQLException

  Specified by:
    `updateTime` in interface `ResultSet`

### updateTimestamp

    public final void updateTimestamp(int a,
                                      Timestamp b)
                               throws SQLException

  Specified by:
    `updateTimestamp` in interface `ResultSet`

### updateAsciiStream

    public final void updateAsciiStream(int a,
                                        InputStream in,
                                        int b)
                                 throws SQLException

  Specified by:
    `updateAsciiStream` in interface `ResultSet`

### updateBinaryStream

    public final void updateBinaryStream(int a,
                                         InputStream in,
                                         int b)
                                  throws SQLException

  Specified by:
    `updateBinaryStream` in interface `ResultSet`

### updateCharacterStream

    public final void updateCharacterStream(int a,
                                            Reader reader,
                                            int b)
                                     throws SQLException

  Specified by:
    `updateCharacterStream` in interface `ResultSet`

### updateObject

    public final void updateObject(int a,
                                   Object ob,
                                   int b)
                            throws SQLException

  Specified by:
    `updateObject` in interface `ResultSet`

### updateObject

    public final void updateObject(int a,
                                   Object ob)
                            throws SQLException

  Specified by:
    `updateObject` in interface `ResultSet`

### updateNull

    public final void updateNull(String a)
                          throws SQLException

  Specified by:
    `updateNull` in interface `ResultSet`

### updateBoolean

    public final void updateBoolean(String a,
                                    boolean b)
                             throws SQLException

  Specified by:
    `updateBoolean` in interface `ResultSet`

### updateByte

    public final void updateByte(String a,
                                 byte b)
                          throws SQLException

  Specified by:
    `updateByte` in interface `ResultSet`

### updateShort

    public final void updateShort(String a,
                                  short b)
                           throws SQLException

  Specified by:
    `updateShort` in interface `ResultSet`

### updateInt

    public final void updateInt(String a,
                                int b)
                         throws SQLException

  Specified by:
    `updateInt` in interface `ResultSet`

### updateLong

    public final void updateLong(String a,
                                 long b)
                          throws SQLException

  Specified by:
    `updateLong` in interface `ResultSet`

### updateFloat

    public final void updateFloat(String a,
                                  float b)
                           throws SQLException

  Specified by:
    `updateFloat` in interface `ResultSet`

### updateDouble

    public final void updateDouble(String a,
                                   double b)
                            throws SQLException

  Specified by:
    `updateDouble` in interface `ResultSet`

### updateBigDecimal

    public final void updateBigDecimal(String a,
                                       BigDecimal b)
                                throws SQLException

  Specified by:
    `updateBigDecimal` in interface `ResultSet`

### updateString

    public final void updateString(String a,
                                   String b)
                            throws SQLException

  Specified by:
    `updateString` in interface `ResultSet`

### updateBytes

    public final void updateBytes(String a,
                                  byte[] b)
                           throws SQLException

  Specified by:
    `updateBytes` in interface `ResultSet`

### updateDate

    public final void updateDate(String a,
                                 Date b)
                          throws SQLException

  Specified by:
    `updateDate` in interface `ResultSet`

### updateTime

    public final void updateTime(String a,
                                 Time b)
                          throws SQLException

  Specified by:
    `updateTime` in interface `ResultSet`

### updateTimestamp

    public final void updateTimestamp(String a,
                                      Timestamp b)
                               throws SQLException

  Specified by:
    `updateTimestamp` in interface `ResultSet`

### updateAsciiStream

    public final void updateAsciiStream(String a,
                                        InputStream in,
                                        int b)
                                 throws SQLException

  Specified by:
    `updateAsciiStream` in interface `ResultSet`

### updateBinaryStream

    public final void updateBinaryStream(String a,
                                         InputStream in,
                                         int b)
                                  throws SQLException

  Specified by:
    `updateBinaryStream` in interface `ResultSet`

### updateCharacterStream

    public final void updateCharacterStream(String a,
                                            Reader reader,
                                            int b)
                                     throws SQLException

  Specified by:
    `updateCharacterStream` in interface `ResultSet`

### updateObject

    public final void updateObject(String a,
                                   Object ob,
                                   int b)
                            throws SQLException

  Specified by:
    `updateObject` in interface `ResultSet`

### updateObject

    public final void updateObject(String a,
                                   Object b)
                            throws SQLException

  Specified by:
    `updateObject` in interface `ResultSet`

### insertRow

    public final void insertRow()
                         throws SQLException

  Specified by:
    `insertRow` in interface `ResultSet`

### updateRow

    public final void updateRow()
                         throws SQLException

  Specified by:
    `updateRow` in interface `ResultSet`

### deleteRow

    public final void deleteRow()
                         throws SQLException

  Specified by:
    `deleteRow` in interface `ResultSet`

### refreshRow

    public final void refreshRow()
                          throws SQLException

  Specified by:
    `refreshRow` in interface `ResultSet`

### cancelRowUpdates

    public final void cancelRowUpdates()
                                throws SQLException

  Specified by:
    `cancelRowUpdates` in interface `ResultSet`

### moveToInsertRow

    public final void moveToInsertRow()
                               throws SQLException

  Specified by:
    `moveToInsertRow` in interface `ResultSet`

### moveToCurrentRow

    public final void moveToCurrentRow()
                                throws SQLException

  Specified by:
    `moveToCurrentRow` in interface `ResultSet`

### getStatement

    public final Statement getStatement()
                                 throws SQLException

  Specified by:
    `getStatement` in interface `ResultSet`

### getObject

    public final Object getObject(int a,
                                  Map b)
                           throws SQLException

  Specified by:
    `getObject` in interface `ResultSet`

### getRef

    public final Ref getRef(int a)
                     throws SQLException

  Specified by:
    `getRef` in interface `ResultSet`

### getBlob

    public final Blob getBlob(int a)
                       throws SQLException

  Specified by:
    `getBlob` in interface `ResultSet`

### getClob

    public final Clob getClob(int a)
                       throws SQLException

  Specified by:
    `getClob` in interface `ResultSet`

### getArray

    public final Array getArray(int a)
                         throws SQLException

  Specified by:
    `getArray` in interface `ResultSet`

### getObject

    public final Object getObject(String a,
                                  Map b)
                           throws SQLException

  Specified by:
    `getObject` in interface `ResultSet`

### getRef

    public final Ref getRef(String a)
                     throws SQLException

  Specified by:
    `getRef` in interface `ResultSet`

### getBlob

    public final Blob getBlob(String a)
                       throws SQLException

  Specified by:
    `getBlob` in interface `ResultSet`

### getClob

    public final Clob getClob(String a)
                       throws SQLException

  Specified by:
    `getClob` in interface `ResultSet`

### getArray

    public final Array getArray(String a)
                         throws SQLException

  Specified by:
    `getArray` in interface `ResultSet`

### getDate

    public final Date getDate(int a,
                              Calendar b)
                       throws SQLException

  Specified by:
    `getDate` in interface `ResultSet`

### getDate

    public final Date getDate(String a,
                              Calendar b)
                       throws SQLException

  Specified by:
    `getDate` in interface `ResultSet`

### getTime

    public final Time getTime(int a,
                              Calendar b)
                       throws SQLException

  Specified by:
    `getTime` in interface `ResultSet`

### getTime

    public final Time getTime(String a,
                              Calendar b)
                       throws SQLException

  Specified by:
    `getTime` in interface `ResultSet`

### getTimestamp

    public final Timestamp getTimestamp(int a,
                                        Calendar b)
                                 throws SQLException

  Specified by:
    `getTimestamp` in interface `ResultSet`

### getTimestamp

    public final Timestamp getTimestamp(String a,
                                        Calendar b)
                                 throws SQLException

  Specified by:
    `getTimestamp` in interface `ResultSet`

### getMoreResults

    public boolean getMoreResults(int i)
                           throws SQLException

### getGeneratedKeys

    public ResultSet getGeneratedKeys()
                               throws SQLException

### executeUpdate

    public int executeUpdate(String s,
                             int i)
                      throws SQLException

### executeUpdate

    public int executeUpdate(String s,
                             int[] ia)
                      throws SQLException

### executeUpdate

    public int executeUpdate(String s,
                             String[] sa)
                      throws SQLException

### execute

    public boolean execute(String s,
                           int i)
                    throws SQLException

### execute

    public boolean execute(String s,
                           int[] ia)
                    throws SQLException

### execute

    public boolean execute(String s,
                           String[] sa)
                    throws SQLException

### getResultSetHoldability

    public int getResultSetHoldability()
                                throws SQLException

### getURL

    public URL getURL(int i)
               throws SQLException

### getURL

    public URL getURL(String s)
               throws SQLException

### updateRef

    public void updateRef(int i,
                          Ref r)
                   throws SQLException

### updateRef

    public void updateRef(String s,
                          Ref r)
                   throws SQLException

### updateBlob

    public void updateBlob(int i,
                           Blob b)
                    throws SQLException

### updateBlob

    public void updateBlob(String s,
                           Blob b)
                    throws SQLException

### updateClob

    public void updateClob(int i,
                           Clob c)
                    throws SQLException

### updateClob

    public void updateClob(String s,
                           Clob c)
                    throws SQLException

### updateArray

    public void updateArray(int i,
                            Array a)
                     throws SQLException

### updateArray

    public void updateArray(String s,
                            Array a)
                     throws SQLException

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.